#
# spec file for package iproute2 (Version 2.4.7)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  db-devel ghostscript-fonts-std ghostscript-library ghostscript-x11-packages glib libgimpprint libpng-devel-packages opensp sgmltool te_pdf tetex x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib cups-libs db-devel fontconfig fontconfig-devel gcc gdbm gettext ghostscript-fonts-std ghostscript-library ghostscript-x11 glib gnome-filesystem libgimpprint libjpeg libpng libpng-devel libtiff libtool opensp perl rpm sgmltool te_ams te_latex te_pdf tetex

Name:         iproute2
License:      GPL
Group:        Productivity/Networking/Routing
Provides:     iproute 
Autoreqprov:  on
Version:      2.4.7
Release:      873
Summary:      Advanced routing
URL:          ftp://ftp.inr.ac.ru/ip-routing/
Source:       iproute2-%{version}-now-ss020116-try.tar.bz2
Source1:      libnetlink.3
Source2:      iproute2-man.tar.bz2
Patch:        iproute2.patch
Patch1:       flush-check-uid.patch
Patch2:       iproute2-2.4.7-fragtimeout.diff
Patch3:       htb3.6_tc.diff
Patch4:       iproute2-2.4.7-includes.diff
Patch5:       iproute2-nospoof.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package -n libnlink
Summary:      Higher level interface to the netlink service
Group:        System/Libraries
Provides:     libnetlink

%description -n libnlink
libnetlink provides a higher level interface to rtnetlink(7).




%description
This package provides the tools ip, tc, and rtmon needed to use the new
and advanced routing options of the Linux kernel. The SuSE Linux
distribution has used this package for network setup since SuSE Linux
8.0.



%prep
%setup -n iproute2 -a 2
%patch
%patch1 -p1
%patch2 -p1
%patch4 -p0
%patch5 -p1
%if %suse_version > 810
%patch3 -p1
%endif

%build
make
cd doc
make pdf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/,sbin/,usr/{sbin,share/man/man3}}
install -d $RPM_BUILD_ROOT/{/usr/include,%_libdir}
make "DESTDIR=$RPM_BUILD_ROOT" install
#install ip/ip $RPM_BUILD_ROOT/sbin/
#install ip/rtmon $RPM_BUILD_ROOT/usr/sbin/
#install misc/rtacct $RPM_BUILD_ROOT/usr/sbin/
#install tc/tc $RPM_BUILD_ROOT/usr/sbin/
#cp -r etc/* $RPM_BUILD_ROOT/etc
install $RPM_SOURCE_DIR/libnetlink.3 $RPM_BUILD_ROOT/usr/share/man/man3
install lib/libnetlink.a $RPM_BUILD_ROOT/%_libdir
install include/libnetlink.h $RPM_BUILD_ROOT/usr/include
#strip -s $RPM_BUILD_ROOT/usr/sbin/*
cp -r man8 $RPM_BUILD_ROOT/%{_mandir}/
rm -rf $RPM_BUILD_ROOT/usr/doc/iproute2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/api-ip6-flowlabels.pdf doc/arpd.pdf doc/ip-cref.pdf
%doc doc/ip-tunnels.pdf doc/nstat.pdf doc/rtstat.pdf doc/ss.pdf
%doc README README.iproute2+tc
%doc RELNOTES README.SuSE examples/ README.decnet ip/ifcfg ip/routef ip/routel
/usr/sbin/*
/sbin/*
%doc %{_mandir}/man8/*
%dir /etc/iproute2
%config(noreplace) /etc/iproute2/rt_dsfield
%config(noreplace) /etc/iproute2/rt_protos
%config(noreplace) /etc/iproute2/rt_scopes
%config(noreplace) /etc/iproute2/rt_realms
%config(noreplace) /etc/iproute2/rt_tables

%files -n libnlink
%defattr(0644,root,root) 
/usr/include/*
%doc %{_mandir}/man3/libnetlink*
%{_libdir}/* 

%changelog -n iproute2
* Wed Dec 15 2004 - mmj@suse.de
- Do not accept spoofed messages sent via the kernel netlink
  interface [#49259]
* Mon Aug 11 2003 - mmj@suse.de
- Add all the pdf documentation [#28637]
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist
* Wed Jun 04 2003 - kukuk@suse.de
- Don't use include-glibc directory
- Fix arpd to compile with db4
* Tue May 13 2003 - mmj@suse.de
- Remove files we don't package
* Mon May 12 2003 - mmj@suse.de
- Add glib-include from newer iputils, and change a kernel-include
  to make it build
* Tue Feb 11 2003 - ug@suse.de
- patch for HTB support applied since 2.4.20 supports it
* Fri Feb 07 2003 - mmj@suse.de
- Make the man tar-ball not contain gzipped man-pages, it's already
  compressed once.
- Apply patch from Andi Kleen for fragtimeout functionality
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
* Sun Oct 20 2002 - mmj@suse.de
- Add manpages, thanks to ASPLinux [#21115]
* Wed Aug 21 2002 - mmj@suse.de
- Added a patch to exit when regular user tries to flush routes or
  addresses. [#16000]
* Sun Aug 18 2002 - ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Mon Apr 08 2002 - postadal@suse.cz
- updated to ss020116
  * added several utilities several utilities: ss, nstat, ifstat,
  rtacct, arpd and module tcp_diag
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Tue Jan 29 2002 - vinil@suse.cz
- /usr/lib -> %%_libdir
* Sun Jan 20 2002 - vinil@suse.cz
- new version ss010824
- spec file cleanup
* Mon Nov 19 2001 - bjacke@suse.de
- move ip to /sbin
- add iproute2 config files to /etc/
* Wed Oct 10 2001 - stepan@suse.de
- fix compilation on ia64
* Tue Sep 18 2001 - pthomas@suse.de
- Correct spelling in libnetlink.3
- Add both German and English descriptions for libnlink
* Mon Aug 27 2001 - kukuk@suse.de
- Fix compiling on SPARC
* Tue Aug 21 2001 - vinil@suse.cz
- new version ss010803
- get rid of kernel 2.2 patches
* Thu Jul 26 2001 - kukuk@suse.de
- add glib to needed for build
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed Jun 27 2001 - ro@suse.de
- ETH_P_ECHO is apparently no longer defined
* Thu Mar 08 2001 - uli@suse.de
- added xshared to neededforbuild
* Mon Mar 05 2001 - kukuk@suse.de
- Remove bogus check for kernel header
* Fri Dec 01 2000 - kukuk@suse.de
- Update to iproute2-2.2.4-now-ss001007 to fix compile problems
  with new kernel and glibc
* Mon Aug 28 2000 - ak@suse.de
- fix permissions
- fix advmss/mtu confusion between 2.2 and 2.4 (advmss now works with 2.2
  kernels and is always enabled)
- add a new subrpm for libnetlink
- add libnetlink man page
* Tue Jul 04 2000 - mha@suse.de
- new version (2.2.4-now-ss000305)
- new README.SuSE
- use ps2pdf instead of pdflatex, because the latter produces
  unusable pdf files for some reason
* Thu Jun 01 2000 - vinil@suse.cz
- documentation enhancement
* Fri May 26 2000 - vinil@suse.cz
- new version (ss000225)
- buildroot added
- sorted in group
* Thu Feb 17 2000 - mha@suse.de
- new version (ss991023)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 22 1999 - mha@suse.de
- new version
- renamed package iproute->iproute2, because that's how the author
  calls it
* Tue Jul 13 1999 - ro@suse.de
- added psutils to neededforbuild
* Sun Jul 11 1999 - mha@suse.de
- new package: iproute (tools for using the advanced routing options
  in kernel 2.2)
